## com.imcode.imcms.servlet.tags
Class SimpleImcmsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.imcode.imcms.servlet.tags.SimpleImcmsTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  ImageTag, IncludeTag, TextTag

    public abstract class SimpleImcmsTag

extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected java.util.Properties` `attributes`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SimpleImcmsTag()`

Method Summary
`int` `doStartTag()`
`protected abstract java.lang.String` `getContent(TagParser tagParser)`
`void` `setLabel(java.lang.String label)`
`void` `setNo(int no)`
`void` `setPost(java.lang.String post)`
`void` `setPre(java.lang.String pre)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributes

    protected java.util.Properties attributes

Constructor Detail

### SimpleImcmsTag

    public SimpleImcmsTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### getContent

    protected abstract java.lang.String getContent(TagParser tagParser)

### setNo

    public void setNo(int no)

### setLabel

    public void setLabel(java.lang.String label)

### setPre

    public void setPre(java.lang.String pre)

### setPost

    public void setPost(java.lang.String post)